This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 981953 - Updating to xorg-x11-server-1.14.2-1.fc19 breaks X
Updating to xorg-x11-server-1.14.2-1.fc19 breaks X
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 05:17 EDT by Ankur Sinha (FranciscoD)
Modified: 2013-07-14 21:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: xorg-x11-server-1.14.2-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-14 21:04:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages (229.46 KB, text/plain)
2013-07-07 21:56 EDT, Ankur Sinha (FranciscoD)
no flags Details
/var/log/Xorg.0.log (21.82 KB, text/plain)
2013-07-07 21:56 EDT, Ankur Sinha (FranciscoD)
no flags Details
/var/log/Xorg.0.log.old (21.82 KB, text/plain)
2013-07-07 21:57 EDT, Ankur Sinha (FranciscoD)
no flags Details
/var/log/Xorg.1.log (21.82 KB, text/plain)
2013-07-07 21:57 EDT, Ankur Sinha (FranciscoD)
no flags Details
/var/log/Xorg.2.log (21.82 KB, text/x-log)
2013-07-07 21:58 EDT, Ankur Sinha (FranciscoD)
no flags Details
/var/log/Xorg.3.log (21.82 KB, text/x-log)
2013-07-07 21:59 EDT, Ankur Sinha (FranciscoD)
no flags Details
/var/log/Xorg.4.log (21.82 KB, text/x-log)
2013-07-07 21:59 EDT, Ankur Sinha (FranciscoD)
no flags Details
/var/log/Xorg.5.log (21.82 KB, text/x-log)
2013-07-07 22:00 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-07-07 05:17:22 EDT
Description of problem:
Updating to the latest version from updates-testing breaks X.

Version-Release number of selected component (if applicable):
xorg-x11-server-1.14.2-1.fc19

How reproducible:
Always

Steps to Reproduce:
1. Update to from updates-testing
2. Reboot
3.

Actual results:
X does not come up

Expected results:
X should come up normally

Additional info:
*** Errors from /var/log/messages: ***
Jan  1 11:06:20 localhost gdm[420]: Child process 499 was already dead.
Jan  1 11:06:20 localhost abrtd: Generating core_backtrace
Jan  1 11:06:20 localhost abrtd: Generating backtrace
Jan  1 11:06:20 localhost NetworkManager[482]: <warn> (wlp18s0) firewall zone remove failed: (32) UNKNOWN_INTERFACE: wlp18s0
Jan  1 11:06:20 localhost abrt[886]: File '/usr/sbin/plymouthd' seems to be deleted
Jan  1 11:06:20 localhost abrt[886]: Saved core dump of pid 136 (/usr/sbin/plymouthd) to /var/tmp/abrt/ccpp-2005-01-01-11:06:20-136 (6709248 bytes)
Jan  1 11:06:20 localhost abrtd: Directory 'ccpp-2005-01-01-11:06:20-136' creation detected
Jan  1 11:06:21 localhost abrtd: Backtrace is generated, 7874 bytes
Jan  1 11:06:21 localhost abrtd: Cannot disassemble function at 0x0, not computing fingerprint
Jan  1 11:06:21 localhost abrtd: Core backtrace is generated and saved, 909 bytes
Jan  1 11:06:21 localhost gdm[420]: error: unexpectedly disconnected from boot status daemon
Jan  1 11:06:21 localhost gdm[420]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Jan  1 11:06:21 localhost gdm[420]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Jan  1 11:06:21 localhost gdm[420]: GdmDisplay: display lasted 0.001114 seconds
Jan  1 11:06:21 localhost systemd[1]: Started Wait for Plymouth Boot Screen to Quit.
Jan  1 11:06:21 localhost systemd[1]: plymouth-start.service: main process exited, code=dumped, status=6/ABRT
Jan  1 11:06:21 localhost systemd[1]: Unit plymouth-start.service entered failed state.
Jan  1 11:06:21 localhost dbus-daemon[412]: dbus[412]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=420 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.15" (uid=0 pid=893 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan  1 11:06:21 localhost dbus[412]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=420 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.15" (uid=0 pid=893 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan  1 11:06:22 localhost abrt[899]: Saved core dump of pid 898 (/usr/bin/Xorg) to /var/tmp/abrt/ccpp-2005-01-01-11:06:21-898 (33394688 bytes)
Jan  1 11:06:22 localhost abrtd: Directory 'ccpp-2005-01-01-11:06:21-898' creation detected
Jan  1 11:06:23 localhost gdm[420]: Child process 898 was already dead.
Jan  1 11:06:23 localhost gdm[420]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Jan  1 11:06:23 localhost gdm[420]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Jan  1 11:06:23 localhost gdm[420]: GdmDisplay: display lasted 2.371956 seconds
Jan  1 11:06:23 localhost gdm[420]: GdmDisplay: display lasted 2.373346 seconds
Jan  1 11:06:23 localhost dbus-daemon[412]: dbus[412]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=420 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.16" (uid=0 pid=900 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan  1 11:06:23 localhost dbus[412]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=420 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.16" (uid=0 pid=900 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan  1 11:06:23 localhost abrtd: Duplicate: core backtrace
Jan  1 11:06:23 localhost abrtd: DUP_OF_DIR: /var/tmp/abrt/ccpp-2013-07-07-18:21:54-499
Jan  1 11:06:23 localhost abrtd: Deleting problem directory ccpp-2005-01-01-11:06:18-499 (dup of ccpp-2013-07-07-18:21:54-499)
Jan  1 11:06:23 localhost abrtd: Generating core_backtrace
Jan  1 11:06:23 localhost abrtd: Generating backtrace
Jan  1 11:06:23 localhost abrt[934]: Not saving repeating crash in '/usr/bin/Xorg'
Jan  1 11:06:23 localhost abrtd: Backtrace is generated, 5290 bytes
Jan  1 11:06:24 localhost abrtd: Cannot disassemble function at 0x0, not computing fingerprint
Jan  1 11:06:24 localhost abrtd: Core backtrace is generated and saved, 965 bytes
Jan  1 11:06:24 localhost abrtd: Duplicate: core backtrace
Jan  1 11:06:24 localhost abrtd: DUP_OF_DIR: /var/tmp/abrt/ccpp-2013-07-07-18:29:09-141
Jan  1 11:06:24 localhost abrtd: Deleting problem directory ccpp-2005-01-01-11:06:20-136 (dup of ccpp-2013-07-07-18:29:09-141)
Jan  1 11:06:24 localhost abrtd: Generating core_backtrace
Jan  1 11:06:24 localhost abrtd: Generating backtrace
Jan  1 11:06:24 localhost abrtd: Backtrace is generated, 7898 bytes
Jan  1 11:06:24 localhost abrtd: Cannot disassemble function at 0x0, not computing fingerprint
Jan  1 11:06:24 localhost gdm[420]: Child process 911 was already dead.
Jan  1 11:06:24 localhost gdm[420]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Jan  1 11:06:24 localhost gdm[420]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Jan  1 11:06:24 localhost gdm[420]: GdmDisplay: display lasted 0.806026 seconds
Jan  1 11:06:24 localhost gdm[420]: GdmDisplay: display lasted 0.807465 seconds
Jan  1 11:06:24 localhost dbus-daemon[412]: dbus[412]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=420 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.19" (uid=0 pid=968 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan  1 11:06:24 localhost dbus[412]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=420 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.19" (uid=0 pid=968 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan  1 11:06:24 localhost abrtd: Core backtrace is generated and saved, 909 bytes
Jan  1 11:06:24 localhost abrt[977]: Not saving repeating crash in '/usr/bin/Xorg'
Jan  1 11:06:24 localhost abrtd: Duplicate: core backtrace
Jan  1 11:06:24 localhost abrtd: DUP_OF_DIR: /var/tmp/abrt/ccpp-2013-07-07-18:21:54-499
Jan  1 11:06:24 localhost abrtd: Deleting problem directory ccpp-2005-01-01-11:06:21-898 (dup of ccpp-2013-07-07-18:21:54-499)
Jan  1 11:06:25 localhost gdm[420]: Child process 973 was already dead.
Jan  1 11:06:25 localhost gdm[420]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Jan  1 11:06:25 localhost gdm[420]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Jan  1 11:06:25 localhost gdm[420]: GdmDisplay: display lasted 0.796940 seconds
Jan  1 11:06:25 localhost gdm[420]: GdmDisplay: display lasted 0.799328 seconds
Jan  1 11:06:25 localhost dbus-daemon[412]: dbus[412]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=420 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.21" (uid=0 pid=990 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan  1 11:06:25 localhost dbus[412]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=420 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.21" (uid=0 pid=990 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan  1 11:06:25 localhost abrt[996]: Not saving repeating crash in '/usr/bin/Xorg'
Jan  1 11:06:26 localhost gdm[420]: Child process 995 was already dead.
Jan  1 11:06:26 localhost gdm[420]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Jan  1 11:06:26 localhost gdm[420]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Jan  1 11:06:26 localhost gdm[420]: GdmDisplay: display lasted 0.793557 seconds
Jan  1 11:06:26 localhost gdm[420]: GdmDisplay: display lasted 0.796102 seconds
Jan  1 11:06:26 localhost dbus-daemon[412]: dbus[412]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=420 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.22" (uid=0 pid=997 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan  1 11:06:26 localhost dbus[412]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=420 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.22" (uid=0 pid=997 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan  1 11:06:26 localhost abrt[1003]: Not saving repeating crash in '/usr/bin/Xorg'
Jan  1 11:06:26 localhost gdm[420]: Child process 1002 was already dead.
Jan  1 11:06:26 localhost gdm[420]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Jan  1 11:06:26 localhost gdm[420]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
Jan  1 11:06:26 localhost gdm[420]: GdmDisplay: display lasted 0.809427 seconds
Jan  1 11:06:26 localhost gdm[420]: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Jan  1 11:06:26 localhost gdm[420]: GdmDisplay: display lasted 0.809824 seconds
Jan  1 11:06:45 localhost systemd-logind[391]: Power key pressed.

** output of egrep EE /var/log/Xorg.*
Xorg.0.log:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.0.log:[    32.335] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.0.log:[    32.630] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.0.log.old:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.0.log.old:[    29.941] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.0.log.old:[    29.970] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.1.log:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.1.log:[    34.615] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.1.log:[    34.618] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.1.log.old:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.1.log.old:[    31.544] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.1.log.old:[    31.546] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.2.log:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.2.log:[    36.953] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.2.log:[    36.958] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.2.log.old:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.2.log.old:[    33.926] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.2.log.old:[    33.929] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.3.log:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.3.log:[    37.777] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.3.log:[    37.783] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.3.log.old:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.3.log.old:[    34.721] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.3.log.old:[    34.724] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.4.log:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.4.log:[    38.572] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.4.log:[    38.575] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.4.log.old:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.4.log.old:[    35.538] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.4.log.old:[    35.543] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.5.log:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.5.log:[    39.367] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.5.log:[    39.373] (EE) Failed to load module "nv" (module does not exist, 0)
Xorg.5.log.old:	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Xorg.5.log.old:[    36.334] Initializing built-in extension MIT-SCREEN-SAVER
Xorg.5.log.old:[    36.340] (EE) Failed to load module "nv" (module does not exist, 0)


Downgrading X fixes it:
[root@localhost  ~]$ yum history info
Loaded plugins: langpacks, refresh-packagekit, remove-with-leaves
Transaction ID : 157
Begin time     : Sun Jul  7 18:51:25 2013
Begin rpmdb    : 2178:5483c19a9702b03d39e605d072b2aef92a4d484e
End time       :            18:51:29 2013 (4 seconds)
End rpmdb      : 2178:987fc5f31f38ab536d50b5d6d3fc73e36ed46380
User           : Ankur Sinha <asinha>
Return-Code    : Success
Command Line   : downgrade xorg-x11-server-Xorg xorg-x11-server-common
Transaction performed with:
    Installed     rpm-4.11.1-1.fc19.x86_64                @updates-testing
    Installed     yum-3.4.3-99.fc19.noarch                @fedora
    Installed     yum-metadata-parser-1.1.4-8.fc19.x86_64 @koji-override-0/$releasever
Packages Altered:
    Downgrade  xorg-x11-server-Xorg-1.14.1-4.fc19.x86_64   @fedora
    Downgraded                      1.14.2-1.fc19.x86_64   @updates-testing
    Downgrade  xorg-x11-server-common-1.14.1-4.fc19.x86_64 @fedora
    Downgraded                        1.14.2-1.fc19.x86_64 @updates-testing
history info
Comment 1 Ankur Sinha (FranciscoD) 2013-07-07 05:21:17 EDT
When it got stuck, I was unable to get to a virtual terminal also.
Comment 2 Peter Hutterer 2013-07-07 19:40:44 EDT
please attach the whole Xorg.log, just grepping the log does not provide enough information to us.
Comment 3 Ankur Sinha (FranciscoD) 2013-07-07 21:55:31 EDT
Apologies. I upgraded to this broken version, logged into runlevel 3 and deleted /var/log/messages and /var/log/Xorg*. I then rebooted in graphical.target and let X fail. I'm attaching all the files generated thereof

Thanks,
Ankur
Comment 4 Ankur Sinha (FranciscoD) 2013-07-07 21:56:14 EDT
Created attachment 770224 [details]
/var/log/messages
Comment 5 Ankur Sinha (FranciscoD) 2013-07-07 21:56:50 EDT
Created attachment 770225 [details]
/var/log/Xorg.0.log
Comment 6 Ankur Sinha (FranciscoD) 2013-07-07 21:57:16 EDT
Created attachment 770226 [details]
/var/log/Xorg.0.log.old
Comment 7 Ankur Sinha (FranciscoD) 2013-07-07 21:57:47 EDT
Created attachment 770227 [details]
/var/log/Xorg.1.log
Comment 8 Ankur Sinha (FranciscoD) 2013-07-07 21:58:34 EDT
Created attachment 770228 [details]
/var/log/Xorg.2.log
Comment 9 Ankur Sinha (FranciscoD) 2013-07-07 21:59:19 EDT
Created attachment 770229 [details]
/var/log/Xorg.3.log
Comment 10 Ankur Sinha (FranciscoD) 2013-07-07 21:59:47 EDT
Created attachment 770230 [details]
/var/log/Xorg.4.log
Comment 11 Ankur Sinha (FranciscoD) 2013-07-07 22:00:12 EDT
Created attachment 770231 [details]
/var/log/Xorg.5.log
Comment 12 flashl 2013-07-10 10:00:25 EDT
I can confirm gdm complaints, inability to login, and Xorg failure after upgrade.
Comment 13 Peter Hutterer 2013-07-11 19:55:36 EDT
(In reply to Ankur Sinha (FranciscoD) from comment #4)
> Created attachment 770224 [details]
> /var/log/messages

is it just me or do the dates in that file really say Jan 2? that seems odd
Comment 14 Peter Hutterer 2013-07-11 20:07:17 EDT
also, please switch to a tty, then start the server from the commandline (or through ssh) through startx or xinit. if there's a unresolved symbol, it will only show up on stderr.
Comment 15 Fedora Update System 2013-07-11 21:29:05 EDT
xorg-x11-server-1.14.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.14.2-4.fc19
Comment 16 Ankur Sinha (FranciscoD) 2013-07-11 21:35:08 EDT
(In reply to Peter Hutterer from comment #13)
> (In reply to Ankur Sinha (FranciscoD) from comment #4)
> > Created attachment 770224 [details]
> > /var/log/messages
> 
> is it just me or do the dates in that file really say Jan 2? that seems odd

The dates are weird because my hw clock got out of sync after a service session. It started from Jan1 2005, hence the Jan 2 here. Until wifi connects and ntp then syncs up, all my system dates stay that way. I fixed it recently using timedatectl. Since X didn't come up in these sessions and therefore neither did wifi, the system didn't get a chance to correct it's time via ntp.

(In reply to Peter Hutterer from comment #14)
> also, please switch to a tty, then start the server from the commandline (or
> through ssh) through startx or xinit. if there's a unresolved symbol, it
> will only show up on stderr.

After blinking a number of times and halting, the system doesn't seem to take input from the keyboard at all. I did try switching to a tty using ctrl alt f2+. Nothing came up (I hope this is what you mean by switch to a tty?). It stayed where it was. Only thing that worked was the power button which made the system shut down.

I'll try the update out and see how it goes. 

Thanks,
Warm regards,
Ankur
Comment 17 Fedora Update System 2013-07-12 21:50:49 EDT
Package xorg-x11-server-1.14.2-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-server-1.14.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12886/xorg-x11-server-1.14.2-4.fc19
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2013-07-14 21:04:16 EDT
xorg-x11-server-1.14.2-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.